Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Thread_Lane Class Reference

Class representing the thread lane inside a thread pool. More...

`#include <Thread_Pool.h>`

Collaboration diagram for TAO_Thread_Lane:

[legend]
List of all members.

## Accessors
TAO_Thread_Pool & | pool (void) const
CORBA::ULong | id (void) const
CORBA::Short | lane_priority (void) const
CORBA::ULong | static_threads (void) const
CORBA::ULong | dynamic_threads (void) const
CORBA::ULong | current_threads (void) const
void | current_threads (CORBA::ULong)
CORBA::Short | native_priority (void) const
TAO_Thread_Pool_Threads & | threads (void)
TAO_Thread_Lane_Resources & | resources (void)
## Public Methods
| TAO_Thread_Lane (TAO_Thread_Pool &pool, CORBA::ULong id, CORBA::Short lane_priority, CORBA::ULong static_threads, CORBA::ULong dynamic_threads ACE_ENV_ARG_DECL)
| Constructor.
| ~TAO_Thread_Lane (void)
| Destructor.
void | open (ACE_ENV_SINGLE_ARG_DECL)
| Open the lane.
void | finalize (void)
| Finalize the resources.
void | shutdown_reactor (void)
| Shutdown the reactor.
void | wait (void)
| Wait for threads to exit.
int | is_collocated (const TAO_MProfile &mprofile)
| Does mprofile belong to us?
int | create_static_threads (void)
| Create the static threads - only called once.
int | create_dynamic_threads (CORBA::ULong number_of_threads)
## Private Methods
void | validate_and_map_priority (ACE_ENV_SINGLE_ARG_DECL)
| Validate lane's priority and map it to a native value.
## Private Attributes
TAO_Thread_Pool & | pool_
CORBA::ULong | id_
CORBA::Short | lane_priority_
CORBA::ULong | static_threads_
CORBA::ULong | dynamic_threads_
CORBA::ULong | current_threads_
TAO_Thread_Pool_Threads | threads_
TAO_RT_New_Leader_Generator | new_thread_generator_
TAO_Thread_Lane_Resources | resources_
CORBA::Short | native_priority_

## Detailed Description

Class representing the thread lane inside a thread pool.

## Constructor & Destructor Documentation

TAO_Thread_Lane::TAO_Thread_Lane | ( | TAO_Thread_Pool & | pool,
|  | CORBA::ULong | id,
|  | CORBA::Short | lane_priority,
|  | CORBA::ULong | static_threads,
|  | CORBA::ULong dynamic_threads | ACE_ENV_ARG_DECL
| ) |

| Constructor.

TAO_Thread_Lane::~TAO_Thread_Lane | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_Thread_Lane::create_dynamic_threads | ( | CORBA::ULong | number_of_threads | ) |

| Create number_of_threads of dynamic threads. Can be called multiple times.

int TAO_Thread_Lane::create_static_threads | ( | void |  | ) |

| Create the static threads - only called once.

void TAO_Thread_Lane::current_threads | ( | CORBA::ULong |  | ) |

CORBA::ULong TAO_Thread_Lane::current_threads | ( | void |  | ) | const

CORBA::ULong TAO_Thread_Lane::dynamic_threads | ( | void |  | ) | const

void TAO_Thread_Lane::finalize | ( | void |  | ) |

| Finalize the resources.

CORBA::ULong TAO_Thread_Lane::id | ( | void |  | ) | const

int TAO_Thread_Lane::is_collocated | ( | const TAO_MProfile & | mprofile | ) |

| Does mprofile belong to us?

CORBA::Short TAO_Thread_Lane::lane_priority | ( | void |  | ) | const

CORBA::Short TAO_Thread_Lane::native_priority | ( | void |  | ) | const

void TAO_Thread_Lane::open | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Open the lane.

TAO_Thread_Pool & TAO_Thread_Lane::pool | ( | void |  | ) | const

TAO_Thread_Lane_Resources & TAO_Thread_Lane::resources | ( | void |  | ) |

void TAO_Thread_Lane::shutdown_reactor | ( | void |  | ) |

| Shutdown the reactor.

CORBA::ULong TAO_Thread_Lane::static_threads | ( | void |  | ) | const

TAO_Thread_Pool_Threads & TAO_Thread_Lane::threads | ( | void |  | ) |

void TAO_Thread_Lane::validate_and_map_priority | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[private]`

| Validate lane's priority and map it to a native value.

void TAO_Thread_Lane::wait | ( | void |  | ) |

| Wait for threads to exit.

## Member Data Documentation

CORBA::ULong TAO_Thread_Lane::current_threads_`[private]`

CORBA::ULong TAO_Thread_Lane::dynamic_threads_`[private]`

CORBA::ULong TAO_Thread_Lane::id_`[private]`

CORBA::Short TAO_Thread_Lane::lane_priority_`[private]`

CORBA::Short TAO_Thread_Lane::native_priority_`[private]`

TAO_RT_New_Leader_Generator TAO_Thread_Lane::new_thread_generator_`[private]`

TAO_Thread_Pool& TAO_Thread_Lane::pool_`[private]`

TAO_Thread_Lane_Resources TAO_Thread_Lane::resources_`[private]`

CORBA::ULong TAO_Thread_Lane::static_threads_`[private]`

TAO_Thread_Pool_Threads TAO_Thread_Lane::threads_`[private]`

The documentation for this class was generated from the following files:

- Thread_Pool.h
- Thread_Pool.cpp